# cPotentialFieldForceAlgo Class Reference
[Force Rendering Algorithms]

cPotentialFieldForceAlgo is an abstract class for algorithms that compute single point force contacts. More...

`#include <CPotentialFieldForceAlgo.h>`

Inheritance diagram for cPotentialFieldForceAlgo:

[legend]

List of all members.

## Public Member Functions
| cPotentialFieldForceAlgo ()
| Constructor of cPotentialFieldForceAlgo.
virtual | ~cPotentialFieldForceAlgo ()
| Destructor of cPotentialFieldForceAlgo.
void | initialize (cWorld *a_world, const cVector3d &a_initialPos)
| Initialize the algorithm by passing the initial position of the device.
virtual cVector3d | computeForces (const cVector3d &a_toolPos, const cVector3d &a_toolVel)
| Compute the next force given the updated position of the device.
## Public Attributes
cInteractionSettings | m_interactionSettings
| Interactions recorder settings.
cInteractionRecorder | m_interactionRecorder
| Interactions recorder.

## Detailed Description

cPotentialFieldForceAlgo is an abstract class for algorithms that compute single point force contacts.

## Constructor & Destructor Documentation

cPotentialFieldForceAlgo::cPotentialFieldForceAlgo | ( |  | ) |

Constructor of cPotentialFieldForceAlgo.

Constructor of cPotentialFieldForceAlgo

## Member Function Documentation

cVector3d cPotentialFieldForceAlgo::computeForces | ( | const cVector3d & | a_toolPos,
|  | const cVector3d & | a_toolVel |
| ) |  |  | `[virtual]`

Compute the next force given the updated position of the device.

Compute forces for all potential field based objects (cGenericPotentialField).

Parameters:

  | a_toolPos | Position of tool.
  | a_toolVel | Velocity of tool.

Reimplemented from cGenericPointForceAlgo.

The documentation for this class was generated from the following files:

- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/forces/CPotentialFieldForceAlgo.h
- D:/CHAI3D/build-2-0-0/2.0.0/win32/src/forces/CPotentialFieldForceAlgo.cpp

CHAI3D 2.0.0 documentation
Please address any questions to support@chai3d.org
(C) 2003-2009 - CHAI 3D
All Rights Reserved.